package com.tax.token.service.api;

import com.github.pagehelper.PageInfo;
import com.tax.token.model.*;
import com.yxcheng.token.common.model.JsonResult;

import java.util.Date;

public interface TkRealTokenLogService {

    void saveRealTokenLog(String uuId, TkToken token, String tokenFrom);
    void saveRealTokenLog(String uuId, Date reqDate, CleanCookieVo cleanCookieVo, CookieReq cookieReq, JsonResult result);

    PageInfo<TkRealTokenLog> selectRealTokenListPage(TokenReportReq tokenReportReq);
}
